function xhat = cceps(x)
%CCEPS	Complex cepstrum.
%	CCEPS(x) returns the complex cepstrum of the (assumed real) sequence x.
%	See also RCEPS, HILBERT, and FFT.

%	Author(s): L. Shure, 6-9-88
%	Copyright (c) 1984-94 by The MathWorks, Inc.
%	$Revision: 1.5 $  $Date: 1994/01/25 17:58:44 $

%	References: 
%	  [1] A.V. Oppenheim and R.W. Schafer, Digital Signal 
%	      Processing, Prentice-Hall, 1975.
%	  [2] Programs for Digital Signal Processing, IEEE Press,
%	      John Wiley & Sons, 1979, algorithm 7.1.

h = fft(x);
logh = log(abs(h))+sqrt(-1)*rcunwrap(angle(h));
xhat = real(ifft(logh));
